org.apache.ivy.core.event.retrieve

## Class StartRetrieveEvent

- java.lang.Object
- - org.apache.ivy.core.event.IvyEvent
  - - org.apache.ivy.core.event.retrieve.RetrieveEvent
    - - org.apache.ivy.core.event.retrieve.StartRetrieveEvent

    public class StartRetrieveEvent
    extends RetrieveEvent

### Field Summary

Fields
`static java.lang.String` `NAME`

### Constructor Summary

Constructors
Constructor and Description
`StartRetrieveEvent(ModuleRevisionId mrid, java.lang.String[] confs, RetrieveOptions options)`

### Method Summary

### Methods inherited from class org.apache.ivy.core.event.retrieve.RetrieveEvent

`getModuleRevisionId, getOptions`

### Methods inherited from class org.apache.ivy.core.event.IvyEvent

`addAttribute, addAttributes, addConfsAttribute, addMDAttributes, addModuleIdAttributes, addMridAttributes, equals, getAttributes, getName, getSource, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### NAME

    public static final java.lang.String NAME

See Also:
  Constant Field Values

### Constructor Detail

#### StartRetrieveEvent

    public StartRetrieveEvent(ModuleRevisionId mrid,
                      java.lang.String[] confs,
                      RetrieveOptions options)